[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

Re: upgrade or downgrade as needed to versionlocked version.



Steve Traylen <steve.traylen@xxxxxxx> writes:

> Hi,
>
> Using an SL6 box with:
>
> yum-3.2.29-17.el6.noarch
> yum-plugin-versionlock-1.1.30-6.el6.noarch
>
> I then version lock a package so that i have:
>
> # yum -q versionlock
> xulrunner-1.9.2.13-3.el6_0.x86_64
>
> And now I want to  that package directly regardless of current situation.
>
> It seems I can run.
>
> yum upgrade xulrunner
> yum downgrade xulrunner
>
> to catch the two cases where I am behind or infront of the locked package.
>
> Can I go to exact package version directly always? I expect the older
> "--allow-downgrades" may
> have worked ? but this is replaced by the downgrade method I guess. So
> supposing there was a "goto"
> method then it would be possible to run
>
> yum goto $(yum -q versionlock list)

yum distro-sync xulrunner

...that will go to the latest versionlocked version for xulrunner (or
for everything, if you don't specify an argument).

> Of course suggestions of how to solve the origional request of fixing
> up to locked version
> are also appreciated.

 Sorry, is this the same problem, or a different question?

-- 
James Antill -- james@xxxxxxx
_______________________________________________
Yum mailing list
Yum@xxxxxxxxxxxxxxxxx
http://lists.baseurl.org/mailman/listinfo/yum


[Home]     [Fedora Users]     [Fedora Legacy List]     [Fedora Maintainers]     [Fedora Desktop]     [Red Hat 9 Bible]     [Fedora Bible]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]

Powered by Linux

Google
  Web www.spinics.net